aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBen Kohler <bkohler@gmail.com>2017-10-11 12:26:52 -0500
committerBrian Dolbec <dolsen@gentoo.org>2017-11-29 09:31:58 -0800
commitd0d5260bc23edc1ef41fa0150767e9a4e848eb78 (patch)
tree4ea55dcd3363dc9192123af7a6dfccdbe4f0fc25
parentintroduce depclean.sh and add it to livecd-stage2 (first test) (diff)
downloadcatalyst-d0d5260bc23edc1ef41fa0150767e9a4e848eb78.tar.gz
catalyst-d0d5260bc23edc1ef41fa0150767e9a4e848eb78.tar.bz2
catalyst-d0d5260bc23edc1ef41fa0150767e9a4e848eb78.zip
kmerge.sh: ensure bc is installed when kerncache is active
When options=kerncache is on, catalyst finds cached kernel sources and generates a package.provided entry so these sources aren't reinstalled. However, this causes all RDEPEND in *-sources to be ignored. This patch forces dependencies to be installed beforepackage.provided is generated.
-rwxr-xr-xtargets/support/kmerge.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/targets/support/kmerge.sh b/targets/support/kmerge.sh
index fc066cc0..f29cd385 100755
--- a/targets/support/kmerge.sh
+++ b/targets/support/kmerge.sh
@@ -195,6 +195,10 @@ then
fi
fi
+ # install dependencies of kernel sources ahead of time in case
+ # package.provided generated below causes them not to be (re)installed
+ PKGDIR=${PKGDIR} clst_myemergeopts="--quiet --update --newuse --onlydeps" run_merge "${clst_ksource}" || exit 1
+
# Create the kerncache directory if it doesn't exists
mkdir -p /tmp/kerncache/${clst_kname}